<?php
/**
 * app/plugins/members/controllers/admin/members/blog.php
 *
 * This is the Membership Invoices admin controller.
 *
 * @package TP Members
 * @version 3.0
 * @author  Joey Kimsey <Joey@thetempusproject.com>
 * @link    https://TheTempusProject.com
 * @license https://opensource.org/licenses/MIT [MIT LICENSE]
 */
namespace TheTempusProject\Controllers\Admin;

use TheTempusProject\Houdini\Classes\Views;
use TheTempusProject\Houdini\Classes\Navigation;
use TheTempusProject\Houdini\Classes\Components;
use TheTempusProject\Classes\AdminController;
use TheTempusProject\Models\MembershipRecords as MemberModel;

class Invoices extends AdminController {
    public static $memberships;

    public function __construct() {
        parent::__construct();
        self::$title = 'Admin - Memberships';
        self::$memberships = new MemberModel;
        $view = Navigation::activePageSelect( 'nav.admin', '/admin/member' );
        Components::set( 'ADMINNAV', $view );
    }

    public function index( $data = null ) {
        Views::view( 'members.admin.list', self::$memberships->list() );
    }

    public function create( $data = null ) {
    }

    public function edit( $data = null ) {
    }

    public function view( $data = null ) {
    }

    public function delete( $data = null ) {
    }

    public function preview( $data = null ) {
    }
}
